Subject: Re: [PATCH 10/10] [RFC] wifi: remove ipw2100/ipw2200 drivers

From: Kalle Valo <[email-masked]>
Date: Tue, 24 Oct 2023 12:30:29 +0300

Stefan Lippers-Hollmann <[email-masked]> writes:

> On 2023-10-23, Arnd Bergmann wrote:
>> From: Arnd Bergmann <[email-masked]>
>>
>> These two drivers were used for the earliest "Centrino" branded Intel
>> laptops during the late 32-bit Pentium-M era, roughly 2003 to 2005, which
>> probably makes it the most modern platform that still uses the wireless
>> extension interface instead of cfg80211. Unlike the other drivers that
>> are suggested for removal, this one is still officially maintained.
>>
>> According to Johannes Berg, there was an effort to finish the move away
>> from wext in the past, but the last evidence of this that I could find
>> is from commit a3caa99e6c68f ("libipw: initiate cfg80211 API conversion
>> (v2)") in 2009.
>>
>> Link: https://lore.kernel.org/all/[email-masked]/
>> Cc: Stanislav Yakovlev <[email-masked]>
>> Cc: Linux Wireless <[email-masked]>
>> Signed-off-by: Arnd Bergmann <[email-masked]>
>> ---
>> I'm not convinced this should be in the same set of drivers as the
>> rest, since this is clearly less obsolete than the other hardware
>> that I would remove support for.
>
> These have indeed been very common back in the day, I'm still using
> a 2003-vintage 1.5 GHz Pentium-M 'Banias' Acer Travelmate 292LMi
> notebook using ipw2200 (and have two spare ipw2200 mini-PCI cards).
> Works still fine using v6.5.8-rc1 and WPA2PSK/ CCMP (sadly it does
> not do WPA3) and I do use it semi-regularly (running the latest
> stable- or stable-rc kernel of the day).
>
> While it would be nice to replace it with an ath5k based card (to
> get WPA3 support), the card isn't that easy to reach in the notebook,
> so it would be sad to see this go.

Wow, I'm very surprised that ipw2200 still works after 20 years. Thanks
for the report, I think it's best that we still keep the ipw2x00 driver
in the kernel.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches